<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Videogallery infusion 1.0                            
| Copyright  2007 Andr Hexel
+----------------------------------------------------+                       
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
// Advertisement for Ausimods BannerSystem
//require_once INFUSIONS."/banner_panel/banner_panel.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."videogallery_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."videogallery_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."videogallery_panel/locale/English.php";
}

// Your code goes here

opentable($locale['vid700']);

define ("GalleriesByPage", 10);
define ("VideosByPage", 12);

$page = 1;
$pages = 0;
$count = 0;
$thumbs_target_path = INFUSIONS."videogallery_panel/thumbs/";	// Target Path for Thumbnails
$videos_target_path = INFUSIONS."videogallery_panel/videos/";	// Target Path for Thumbnails

function showgalleries($pageno)
{
  global $page, $pages, $count, $locale, $db_prefix, $thumbs_target_path;
  
  $result = dbquery("SELECT * FROM ".$db_prefix."video_albums ORDER BY album_id DESC;");
	
  for ($i = 0; $i < $count; $i++)
  {
    $data[$i] = dbarray($result);
  }

  echo "<table align='center'>
          <tr>\n";

  $i = ($pageno - 1) * GalleriesByPage;
  $column = 0;

  while ($i < $pageno * GalleriesByPage && $i < $count)
  {
    if (checkgroup($data[$i]['album_access']))
    {
      $column++;
      
      echo "<td align='center' width='120'>\n";
      echo "<b>".$data[$i]['album_title']."</b><br><br><a href='videogallery.php?open_gallery=".$data[$i]['album_id']."'>\n";
      if ($data[$i]['album_thumb'] != "")
      {
        echo "<img src='".$thumbs_target_path.$data[$i]['album_thumb']."' alt='".$locale['vid705']."'><br>\n";
      }
      else
      {
        echo $locale['vid760']."<br>\n";
      }
      $result2 = dbquery("SELECT COUNT(*) AS videocount FROM ".$db_prefix."videos WHERE album_id='".$data[$i]['album_id']."';");
      $data2 = dbarray($result2);
      $pdata = dbarray(dbquery("SELECT tp.*, tu.user_id,user_name FROM ".$db_prefix."video_albums tp LEFT JOIN ".$db_prefix."users tu ON tp.album_user=tu.user_id WHERE album_id='".$data[$i]['album_id']."' ORDER BY album_added DESC LIMIT 1"));
      echo "</a><br>".$locale['vid710']." ".showdate("shortdate", $data[$i]['album_added'])."<br>
      ".$locale['vid780']." <a href='".BASEDIR."profile.php?lookup=".$pdata['user_id']."'>".$pdata['user_name']."</a><br>
        ".$locale['vid720']." ".$data2['videocount']."</td>\n";
      if ($column == 5)
      {
        echo "  </tr>
              <tr>\n";
        $column = 0;
      }
    }
      $i++;
  }

  echo "</tr></table>";
  
  if ($count > GalleriesByPage) 
    echo "<div align='center' style='margin-top:5px;'>\n".makePageNav(($pageno - 1) * GalleriesByPage, GalleriesByPage, $count, 3)."\n</div>\n";
}

function showgallery($album_id)
{
  global $db_prefix, $thumbs_target_path, $locale;
  
  $result = dbquery("SELECT * FROM ".$db_prefix."video_albums WHERE album_id='".$album_id."';");
  $data = dbarray($result);
  
  if (!checkgroup($data['album_access']))
		fallback(FUSION_SELF);
	else
	{	
    opentable($locale['vid730']);
  
    echo "<table align='center'>
           <tr>
              <td align='center'>
                <b>".$data['album_title']."</b>
              </td>
            </tr>
            <tr>
              <td align='center'>\n";
    if ($data['album_thumb'] != "")
    {
      echo "<img src='".$thumbs_target_path.$data['album_thumb']."'>\n";
    }
    else
    {
      echo $locale['vid760'];
    }
  
    echo "    </td>
            </tr>
           <tr>
             <td align='center'>
                ".nl2br(parseubb($data['album_description']))."
              </td>
            </tr>
          </table>\n";
  
    closetable();
  }
}

function showvideos($album_id, $pageno)
{
  global $locale, $thumbs_target_path, $videos_target_path, $db_prefix;
  echo "<hr>\n";
  
  opentable($locale['vid720']);
  
  $result = dbquery("SELECT COUNT(*) AS videocount FROM ".$db_prefix."videos WHERE album_id=".$album_id.";");
  $data = dbarray($result);
  $count = $data['videocount'];
  
  $result = dbquery("SELECT * FROM ".$db_prefix."videos WHERE album_id='".$album_id."' ORDER BY video_added DESC;");
  
  for ($i = 0; $i < $count; $i++)
  {
    $data[$i] = dbarray($result);
  }
  
  $i = ($pageno - 1) * VideosByPage;
  $column = 0;
  
  echo "<table align='center'>
            <tr>\n";
  
  while ($i < $pageno * VideosByPage && $i < $count)
  {
    $column++;
  
    echo "<td align='center' width='150'><b>".$data[$i]['video_title']."</b><br><br>
            <a href='videogallery.php?open_video=".$data[$i]['video_id']."'>\n";
    
    if ($data[$i]['video_thumb'] != "")
    {
      echo "<img src='".$thumbs_target_path.$data[$i]['video_thumb']."' alt='".$locale['vid705']."'>\n";
    }
    else
    {
      echo $locale['vid760']."\n";
    }
    
    $pdata = dbarray(dbquery("SELECT tp.*, tu.user_id,user_name FROM ".$db_prefix."videos tp LEFT JOIN ".$db_prefix."users tu ON tp.video_user=tu.user_id WHERE album_id='".$data[$i]['album_id']."' ORDER BY video_added DESC LIMIT 1"));
    $rdata = dbarray(dbquery("SELECT SUM(rating_vote) AS sum_rating, COUNT(rating_item_id) AS count_votes FROM ".$db_prefix."ratings WHERE rating_item_id='".$data[$i]['video_id']."' AND rating_type='V';"));
    
    echo "</a><br>".$locale['vid710']." ".showdate("shortdate", $data[$i]['video_added'])."<br>
      ".$locale['vid790']." <a href='".BASEDIR."profile.php?lookup=".$pdata['user_id']."'>".$pdata['user_name']."</a><br>
      ".$locale['vid791']." ".dbcount("(comment_id)", "comments", "comment_type='V' AND comment_item_id='".$data[$i]['video_id']."'")."<br>
      ".$locale['vid792']." ".($rdata['count_votes'] > 0 ? str_repeat("<img src='".IMAGES."star.gif' alt='*' style='vertical-align:middle'>", ceil($rdata['sum_rating'] / $rdata['count_votes'])) : $locale['vid793'])."<br><br></td>\n";
    
    if ($column == 4)
    {
      echo "  </tr>
            <tr>\n";
      $column = 0;
    }
  
    $i++;
  }
  
  echo "  </tr>
        </table>\n";
  
  if ($count > VideosByPage) 
    echo "<div align='center' style='margin-top:5px;'>\n".makePageNav(($pageno - 1) * VideosByPage, VideosByPage, $count, 3, "videogallery.php?open_gallery=".$album_id."&")."\n</div>\n";
    
  closetable();  
}

function showvideo($video_id)
{
	global $locale, $db_prefix, $thumbs_target_path, $videos_target_path;
  
  $result = dbquery("SELECT * FROM ".$db_prefix."videos WHERE video_id='".$video_id."';"); 
  $data = dbarray($result);
  
  opentable($locale['vid770']);
  
  echo "<p align='center'><a href='videogallery.php?open_gallery=".$data['album_id']."'>".$locale['vid750']."</a></p>\n";
  
  echo "<table align='center'>
          <tr>
            <td align='center'>
              <b>".$data['video_title']."</b><br>
            </td>
          </tr>
          <tr>
            <td align='center'><a href='".$videos_target_path.$data['video_filename']."'>\n";
  if ($data['video_thumb'] == "")
    echo $locale['vid760']."\n";
  else
    echo "    <img src='".$thumbs_target_path.$data['video_thumb']."'>\n";
  echo "      </a>
            </td>
          </tr>
          <tr>
            <td align='center'>".nl2br(parseubb($data['video_description']))."
            </td>
          </tr>
          <tr>
            <td align='center'>".$locale['vid710']." ".showdate("shortdate", $data['video_added'])."</td>
          </tr>
        </table>\n";
  
  include INCLUDES."comments_include.php";
	include INCLUDES."ratings_include.php";
  
  if ($data['video_allow_comments'] == "1") showcomments("V","videos","video_id",$video_id,FUSION_SELF."?open_video=$video_id");
	if ($data['video_allow_ratings'] == "1") showratings("V",$video_id,FUSION_SELF."?open_video=$video_id");
	
	closetable();
}

$result = dbquery("SELECT COUNT(*) AS gallery_count FROM ".$db_prefix."video_albums;");
$data = dbarray($result);
$count = $data['gallery_count'];

// $data[$count] = "";

$pages = round(($count / GalleriesByPage), 0) + 1;
  
if ($rowstart && $open_gallery == NULL)
{
  showgalleries($rowstart / GalleriesByPage + 1);
}
else if ($open_gallery)
{
  echo "<p align='center'><a href='videogallery.php'>".$locale['vid740']."</a></p>\n";
  showgallery($open_gallery);
  showvideos($open_gallery, $rowstart / VideosByPage + 1);
}
else if ($open_video)
{
  showvideo($open_video);
}
else
{
  showgalleries(1);
}

closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
