<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Videogallery infusion 1.0                            
| Copyright  2007 Andr Hexel                       
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
require_once INCLUDES."photo_functions_include.php";
echo "<script type='text/javascript' src='".INCLUDES."jscript.js'></script>";

if (!checkrights("IP")) fallback("../../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."videogallery_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."videogallery_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."videogallery_panel/locale/English.php";
}

opentable($locale['vid210']);

// Own implementation

$error = -1;	// Errorcode
$thumbs_target_path = INFUSIONS."videogallery_panel/thumbs/";	// Target Path for Thumbnails
$videos_target_path = INFUSIONS."videogallery_panel/videos/"; // Target Path for videos

function clear_form()
{
  global $album_id, $album_title, $album_description, $album_thumb;
  $album_id = "";
  $album_title = "";
  $album_description = "";
  $album_thumb = "";
}

function show_form()
{
  global $album_id, $album_title, $album_description, $album_thumb, $locale, 
         $editmode, $thumbs_target_path, $user_group, $album_access;
  
  $access_opts = ""; $sel = "";
	$user_groups = getusergroups();
	while(list($key, $user_group) = each($user_groups))
  {
		$sel = ($album_access == $user_group['0'] ? " selected" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
  
  echo "<form enctype='multipart/form-data' name='inputform' method='post' action='videogallery_admin.php'>
  	  <table align='center'>
 	    <tr>
 	      <td align='center'>".$locale['vid220']."</td>
 	    </tr>
	    <tr>
	      <td align='center'><input type='text' name='album_title' value='$album_title' class='textbox' style='width:200px;'>   
	    </tr>
	    <tr>
	      <td align='center'>".$locale['vid230']."</td>
	    </tr>
	    <tr>
	      <td class='tbl' align='center'><textarea name='album_description' cols='50' rows='5'>".$album_description."</textarea><br>
	      <input type='hidden' name='album_id' value='".$album_id."'>
        <input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('album_description', '[b]', '[/b]');\">
        <input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('album_description', '[i]', '[/i]');\">
        <input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('album_description', '[u]', '[/u]');\">
        <input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('album_description', '[url]', '[/url]');\">
        <input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('album_description', '[mail]', '[/mail]');\">
        <input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('album_description', '[img]', '[/img]');\">
        <input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('album_description', '[center]', '[/center]');\">
        <input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('album_description', '[small]', '[/small]');\">
        <input type='button' value='quote' class='button' style='width:45px;' onClick=\"addText('album_description', '[quote]', '[/quote]');\"></td>
        </td>
	    </tr>
	    <tr>
        <td align='center'>".$locale['vid550']."</td>
      </tr>
      <tr>
        <td align='center'>
          <select name='album_access' class='textbox' style='width:150px;'>$access_opts</select>
        </td>
      </tr>
	    <tr>
	      <td align='center'>".$locale['vid240']."</td>
	    </tr>
	    <tr>\n";
  if ($album_thumb == "")
  {
    echo "    <td align='center'><input type='file' accept='image/jpeg' name='album_thumb' value='$album_thumb' class='textbox' style='width:200px;'></td>\n";
  }
  else
  {
    echo "    <td align='center'><img src='".$thumbs_target_path.$album_thumb."'><br><a href='videogallery_admin.php?delete_thumb=".$album_id."&album_thumb=".$album_thumb."'>".$locale['vid310']."</a></td>
                <input type='hidden' name='album_thumb' value='".$album_thumb."'>\n";
  }
  echo "    </tr>
  	    <tr>
  	      <td align='center'><input type='submit' name='save_gallery' value='".$locale['vid250']."' class='button'></td>
	    </tr>
	  </table>
	  <input type='hidden' name='editmode' value='".$editmode."'>
	</form>\n";
}

function show_galleries()
{
  global $db_prefix, $thumbs_target_path, $locale;
  $column = 0;	// Columnnumber

  $result = dbquery("SELECT * FROM ".$db_prefix."video_albums ORDER BY album_id DESC;");

  echo "<hr>\n";
  echo "<p align='center'></p>\n";

  echo "	<table align='center'>
	  <tr>\n";
  while ($data = dbarray($result))
  {
    $column++;
    echo "<td align='center' valign='top' width='120'>".$data['album_title']."<br><br>
  	  <a href='videogallery_admin.php?open_gallery=".$data['album_id']."'>\n";
    if ($data['album_thumb'] != "")
    {
      echo "<img src='".$thumbs_target_path.$data['album_thumb']."' alt='".$locale['vid560']."'>\n";
    }
    else
    {
      echo $locale['vid300']."\n";
    }
    echo "</a><br><a href='videogallery_admin.php?delete_gallery=".$data['album_id']."'>".$locale['vid330']."</a>
          <a href='videogallery_admin.php?edit_gallery=".$data['album_id']."'> ".$locale['vid340']."</a></td>\n";
    if ($column == 5)
    {
      $column = 0;
      echo "</tr><tr>\n";
    }
  }
  echo "    </tr></table>\n";
}

function show_message()
{
  // Messages
  global $locale, $error, $editmode, $delete_gallery, $delete_video, $delete_video_thumb, $save_video;
  
  if ($error == 0 && $editmode == "add" && $delete_gallery == NULL && $delete_video == NULL && $delete_video_thumb == NULL && $save_video == NULL)
  {
    echo "<p align='center'>".$locale['vid280']."</p>\n";
  }
  else if ($error == 0 && $editmode == "edit" && $delete_video_thumb == NULL && $save_video == NULL)
  {
    echo "<p align='center'>".$locale['vid320']."</p>\n";
    $editmode = "add";
  }
  else if ($error == 0 && $delete_gallery)
  {
    echo "<p align='center'>".$locale['vid350']."</p>\n";
  }
  else if ($error == 0 && $save_video && $editmode == "add")
  {
    echo "<p align='center'>".$locale['vid490']."</p>\n";
  }
  else if ($error == 0 && $save_video && $editmode == "edit")
  {
    echo "<p align='center'>".$locale['vid520']."</p>\n";
  }
  else if ($error == 0 && $delete_video)
  {
    echo "<p align='center'>".$locale['vid500']."</p>\n";
  }
  else if ($error == 0 && $delete_video_thumb)
  {
     echo "<p align='center'>".$locale['vid510']."</p>\n";
  }
  else if ($error == 1)
  {
    echo "<p align='center' style='color:red;'>".$locale['vid260']."</p>\n";
  }
  else if ($error == 2)
  {
    echo "<p align='center' style='color:red;'>".$locale['vid290']."</p>\n";
  }
  else if ($error == 3)
  {
    echo "<p align='center' style='color:red;'>".$locale['vid270']."</p>\n"; 
  }
  else if ($error == 4)
  {
    echo "<p align='center' style='color:red;'>".$locale['vid470']."</p>\n";
  }
  else if ($error == 5)
  {
    echo "<p align='center' style='color:red;'>".$locale['vid480']."</p>\n";
  }
}

function show_videos($album_id)
{
  global $locale, $db_prefix, $thumbs_target_path;
  $column = 0;

  $result = dbquery("SELECT * FROM ".$db_prefix."videos WHERE album_id='".$album_id."' ORDER BY video_added DESC;");
  
  echo "<hr>\n";
  echo "<table align='center'>
	  <tr>\n";
	    
  while ($data = dbarray($result))
  {
    $column++;
    echo "<td align='center' valign='top' width='120'>".$data['video_title']."<br><br>\n";
    if ($data['video_thumb'] != "")
    {
      echo "<img src='".$thumbs_target_path.$data['video_thumb']."'></img>\n";
    }
    else
    {
      echo $locale['vid300']."\n";
    }
    echo "<br><a href='videogallery_admin.php?delete_video=".$data['video_id']."&album_id=".$data['album_id']."'>".$locale['vid330']." </a>
           <a href='videogallery_admin.php?edit_video=".$data['video_id']."&album_id=".$data['album_id']."'>".$locale['vid340']."</a></td>\n";
    if ($column == 5)
    {
      $column = 0;
      echo "</tr><tr>\n";
    }
  }
  echo "  </tr></table>\n";
}

function show_gallery($album_id)
{
  global $db_prefix, $locale, $thumbs_target_path;

  $result = dbquery("SELECT * FROM ".$db_prefix."video_albums WHERE album_id='".$album_id."';");
  $data = dbarray($result);
  echo "<p align='center'><a href='videogallery_admin.php'>".$locale['vid430']."</a></p>\n";
  echo "<p align='center'>".$locale['vid420']."</p>\n";
  echo "<p align='center'>".$data['album_title']."</p>\n";
  echo "<p align='center'>".nl2br(parseubb($data['album_description']))."</p>\n";
  if ($data['album_thumb'] != "")
  {
    echo "<p align='center'><img src='".$thumbs_target_path.$data['album_thumb']."'></p>\n";
  }
  else
  {
    echo "<p align='center'>".$locale['vid300']."</p>\n";
  }
  echo "<hr>\n";
}

function show_videos_form($album_id)
{
  global $locale, $editmode, $thumbs_target_path, $video_id, $video_title, $video_description, $video_filename, $video_thumb, $video_allow_comments, $video_allow_ratings;
  
  echo "<p align='center'>".$locale['vid410']."</p>\n";
  echo "<form enctype='multipart/form-data' name='inputform' method='post' action='videogallery_admin.php'>
          <input type='hidden' name='album_id' value='".$album_id."'>
          <input type='hidden' name='video_id' value='".$video_id."'>
          <table align='center'>
	    <tr>
	      <td align='center'>".$locale['vid440']."</td>
            </tr>
            <tr>
	      <td align='center'><input type='text' name='video_title' value='".$video_title."' class='textbox' style='width:200px;'></td>
	    </tr>
            <tr>
	      <td align='center'>".$locale['vid230']."</td>
            </tr>
	    <tr>
	      <td align='center'><textarea name='video_description' cols='50' rows='5'>".$video_description."</textarea><br>
	        <input type='hidden' name='album_id' value='".$album_id."'>
          <input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('video_description', '[b]', '[/b]');\">
          <input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('video_description', '[i]', '[/i]');\">
          <input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('video_description', '[u]', '[/u]');\">
          <input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('video_description', '[url]', '[/url]');\">
          <input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('video_description', '[mail]', '[/mail]');\">
          <input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('video_description', '[img]', '[/img]');\">
          <input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('video_description', '[center]', '[/center]');\">
          <input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('video_description', '[small]', '[/small]');\">
          <input type='button' value='quote' class='button' style='width:45px;' onClick=\"addText('video_description', '[quote]', '[/quote]');\"></td>
	      </td> 
      </tr>
	    <tr>
	      <td align='center'>".$locale['vid240']."</td>
	    </tr>\n";
  if ($video_thumb == "")
  {
    echo "      <td align='center'><input type='file' accept='image/jpeg' name='video_thumb' value='".$video_thumb."' class='textbox' style='width:200px;'></td>\n";
  }
  else
  {
    echo"       <td align='center'><img src='".$thumbs_target_path.$video_thumb."'><br><a href='videogallery_admin.php?delete_video_thumb=".$album_id."&video_id=".$video_id."'>".$locale['vid310']."</a></td>
		<input type='hidden' name='video_thumb' value='".$video_thumb."'>\n";
  }
  echo "    </tr>
	    <tr>
	      <td align='center'>".$locale['vid460']."</td>
            </tr>
            <tr>\n";
  if ($video_filename == "")
  {
    echo "      <td align='center'><input type='file' accept='video/*' name='video_filename' value='".$video_filename."' class='textbox' style='width:200px;'></td>\n";
  }
  else
  {
    echo "      <td align='center'>".$video_filename."</td>\n";
  }
  echo "        <input type='hidden' name='editmode' value='".$editmode."'>
            </tr>
            <tr>
        <td align='center'><input type='checkbox' name='video_allow_comments' value='yes'$video_allow_comments>".$locale['vid530']."</td>
	    </tr>
	    <tr>
        <td align='center'><input type='checkbox' name='video_allow_ratings' value='yes'$video_allow_ratings>".$locale['vid540']."</td>
	    </tr>
	    <tr>
  	      <td align='center'><input type='submit' name='save_video' value='".$locale['vid450']."' class='button'></td>
	    </tr>
      \n";
  echo "  </table>
        </form>\n";
}

function clear_videos_form()
{
  global $video_title, $video_description, $video_filename, $video_thumb;
  $video_title = "";
  $video_description = "";
  $video_filename = "";
  $video_thumb = "";
}

if ($save_gallery)
{
  if ($editmode == "add")
  {
    if ($album_title != "" && $album_description != "")
    {
      if ($_FILES['album_thumb']['name'] != "")
      {
        $album_thumb = basename( $_FILES['album_thumb']['name']);
        if($_FILES['album_thumb']['type'] != "image/pjpeg" && $_FILES['album_thumb']['type'] != "image/jpeg")
        {
          $error = 2;
          $album_thumb = "";
        }
        else
        {
          if(move_uploaded_file($_FILES['album_thumb']['tmp_name'], $thumbs_target_path.$album_thumb))
          {
            createthumbnail(2, $thumbs_target_path.$album_thumb, $thumbs_target_path.$album_thumb, 100, 100);
          }
          else
          {
            $error = 3;
          }
        }
      }
      $result = dbquery("INSERT INTO ".$db_prefix."video_albums (album_title, album_description, album_thumb, album_user, album_access, album_added) VALUES ('".$album_title."', '".$album_description."', '".$album_thumb."', '".$userdata['user_id']."', '".$album_access."','".time()."')");
      clear_form();
      $error = 0;
      $editmode = "add";
      show_message();
      show_form();
      show_galleries();
    }
    else
    {
      $error = 1;
    } 
  }
  else
  {
    if ($_FILES['album_thumb']['name'] != "")
    {
      $album_thumb = basename( $_FILES['album_thumb']['name']);
      if($_FILES['album_thumb']['type'] != "image/pjpeg" && $_FILES['album_thumb']['type'] != "image/jpeg")
      {
        $error = 2;
        $album_thumb = "";
      }
      else
      {
        if(move_uploaded_file($_FILES['album_thumb']['tmp_name'], $thumbs_target_path.$album_thumb))
        {
          createthumbnail(2, $thumbs_target_path.$album_thumb, $thumbs_target_path.$album_thumb, 100, 100);
        }
        else
        {
          $error = 3;
        }
      }
    }
    $result = dbquery("UPDATE ".$db_prefix."video_albums SET album_title='".$album_title."', album_description='".$album_description."', album_thumb='".$album_thumb."', album_access='".$album_access."' WHERE album_id='".$album_id."';");
    clear_form();
    $error = 0;
    show_message();
    show_form();
    show_galleries();
  }
}
else if ($edit_gallery)
{
  $editmode = "edit";
  $result = dbquery("SELECT * FROM ".$db_prefix."video_albums WHERE album_id = ".$edit_gallery.";");
  $data = dbarray($result);
  $album_id = $data['album_id'];
  $album_title = $data['album_title'];
  $album_description = $data['album_description'];
  $album_thumb = $data['album_thumb'];
  $album_access = $data['album_access'];
  show_form();
  show_galleries();
}
else if ($delete_thumb)
{
  // Delete Thumbnail
  unlink($thumbs_target_path.$album_thumb);
  $result = dbquery("UPDATE ".$db_prefix."video_albums SET album_thumb='' WHERE album_id='".$delete_thumb."';");
  clear_form();
  $editmode = "add";
  show_message();
  show_form();
  show_galleries();
}
else if ($delete_gallery)
{
  // Delete Gallery & Thumbnail
  $result = dbquery("SELECT * FROM ".$db_prefix."video_albums WHERE album_id='".$delete_gallery."';");
  $data = dbarray($result);
  if ($data['album_thumb'] != "")
  {
    unlink($thumbs_target_path.$data['album_thumb']);
  }
  // Delete Videos & Video-Thumbnails
  $result = dbquery("SELECT * FROM ".$db_prefix."videos WHERE album_id='".$delete_gallery."';");
  while ($data = dbarray($result))
  {
    if ($data['video_thumb'] != "")
    {
      unlink($thumbs_target_path.$data['video_thumb']);
    }
    unlink($videos_target_path.$data['video_filename']);
  }
  // Delete Database entries
  $result = dbquery("DELETE FROM ".$db_prefix."video_albums WHERE album_id='".$delete_gallery."';");
  $result = dbquery("DELETE FROM ".$db_prefix."videos WHERE album_id='".$delete_gallery."';");
  clear_form();
  $editmode = "add";
  $error = 0;
  show_message();
  show_form();
  show_galleries();
}
else if ($open_gallery)
{
  $editmode = "add";
  show_gallery($open_gallery);
  show_videos_form($open_gallery);
  show_videos($open_gallery);
}
else if ($delete_video_thumb)
{
  // TODO: Delete Video Thumbnail
  $result = dbquery("SELECT * FROM ".$db_prefix."videos WHERE album_id='".$delete_video_thumb."' AND video_id='".$video_id."';");
  $data = dbarray($result);  
  $video_title = $data['video_title'];
  $video_description = $data['video_description'];
  $video_thumb = $data['video_thumb'];
  $video_filename = $data['video_filename'];
  unlink($thumbs_target_path.$video_thumb);
  $video_thumb = "";
  $result = dbquery("UPDATE ".$db_prefix."videos SET video_thumb='' WHERE album_id='".$delete_video_thumb."' AND video_id='".$video_id."';");
  $editmode = "edit";
  $error = 0;
  show_gallery($delete_video_thumb);
  show_message();
  show_videos_form($delete_video_thumb);
  show_videos($delete_video_thumb);
}
else if ($save_video)
{ 
  if ($editmode == "add")
  { 
    if ($video_title == "" || $video_description == "" || $_FILES['video_filename']['name'] == "")
    {
      $error = 4;
    }
    else
    {
      if ($video_allow_comments)
        $video_allow_comments = 1;
      else
        $video_allow_comments = 0;
      
      if ($video_allow_ratings)
        $video_allow_ratings = 1;  
      else
        $video_allow_ratings = 0;
          
      if ($_FILES['video_thumb']['name'] != "")
      {
        $video_thumb = basename( $_FILES['video_thumb']['name']);
        if($_FILES['video_thumb']['type'] != "image/pjpeg" && $_FILES['video_thumb']['type'] != "image/jpeg")
        {
          $error = 2;
          $album_thumb = "";
        }
        else
        {
          if(move_uploaded_file($_FILES['video_thumb']['tmp_name'], $thumbs_target_path.$video_thumb))
          {
            createthumbnail(2, $thumbs_target_path.$video_thumb, $thumbs_target_path.$video_thumb, 100, 100);
          }
          else
          {
            $error = 3;
          }
        }
      }
      
      $video_filename = basename( $_FILES['video_filename']['name']);
      
      if($_FILES['video_filename']['type'] == "video/mpeg" 
         || $_FILES['video_filename']['type'] == "video/x-msvideo" 
         || $_FILES['video_filename']['type'] == "video/x-ms-wmv" 
         || $_FILES['video_filename']['type'] == "video/quicktime" 
         || $_FILES['video_filename']['type'] == "video/x-sgi-movie"
         || $_FILES['video_filename']['type'] == "video/x-quicktime"
         || $_FILES['video_filename']['type'] == "video/avi"
         || $_FILES['video_filename']['type'] == "image/mov"
         || $_FILES['video_filename']['type'] == "application/octet-stream")
      {
        if(!move_uploaded_file($_FILES['video_filename']['tmp_name'], $videos_target_path.$video_filename))
        {
          $error = 3;
        }
        else
        {
          $result = dbquery("INSERT INTO ".$db_prefix."videos (album_id, video_title, video_description, video_filename, video_thumb, video_user,  video_allow_comments, video_allow_ratings, video_added) VALUES ('".$album_id."', '".$video_title."', '".$video_description."', '".$video_filename."', '".$video_thumb."', '".$userdata['user_id']."', '".$video_allow_comments."', '".$video_allow_ratings."','".time()."')");
          $error = 0;
        }
      }
      else
      {
        $error = 5;
        $video_filename = "";
      }
    }
    
    clear_videos_form();
    show_gallery($album_id);
    show_message();
    show_videos_form($album_id);
    show_videos($album_id);
  }
  else
  {
    if ($video_title == "" || $video_description == "")
    {
      $error = 4;
    }
    else
    {
      if ($video_allow_comments)
        $video_allow_comments = 1;
      else
        $video_allow_comments = 0;
      
      if ($video_allow_ratings)
        $video_allow_ratings = 1;
      else
        $video_allow_ratings = 0;
        
      if ($_FILES['video_thumb']['name'] != "")
      {
        $video_thumb = basename( $_FILES['video_thumb']['name']);
        if($_FILES['video_thumb']['type'] != "image/pjpeg" && $_FILES['video_thumb']['type'] != "image/jpeg")
        {
          $error = 2;
          $album_thumb = "";
        }
        else
        {
          if(move_uploaded_file($_FILES['video_thumb']['tmp_name'], $thumbs_target_path.$video_thumb))
          {
            createthumbnail(2, $thumbs_target_path.$video_thumb, $thumbs_target_path.$video_thumb, 100, 100);
          }
          else
          {
            $error = 3;
          }
        }
      }
      $result = dbquery("UPDATE ".$db_prefix."videos SET video_title='".$video_title."', video_description='".$video_description."', video_thumb='".$video_thumb."', video_allow_comments='".$video_allow_comments."', video_allow_ratings='".$video_allow_ratings."' WHERE album_id='".$album_id."' AND video_id='".$video_id."';");
      $error = 0;
    }
    
    clear_videos_form();
    show_gallery($album_id);
    show_message();
    $editmode = "add";
    show_videos_form($album_id);
    show_videos($album_id);
  }
}
else if ($delete_video)
{
  $result = dbquery("SELECT * FROM ".$db_prefix."videos WHERE video_id='".$delete_video."';");
  $data = dbarray($result);
  unlink($videos_target_path.$data['video_filename']);
  $result = dbquery("DELETE FROM ".$db_prefix."videos WHERE video_id='".$delete_video."' and album_id='".$album_id."';");
  $editmode = "add";
  $error = 0;
  show_gallery($album_id);
  show_message();
  show_videos_form($album_id);
  show_videos($album_id);
}
else if ($edit_video)
{
  // TODO: Edit Video
  $result = dbquery("SELECT * FROM ".$db_prefix."videos WHERE video_id='".$edit_video."' AND album_id='$album_id';");
  $data = dbarray($result);
  $video_id = $data['video_id'];
  $video_title = $data['video_title'];
  $video_description = $data['video_description'];
  $video_thumb = $data['video_thumb'];
  $video_filename = $data['video_filename'];
  $video_allow_comments = $data['video_allow_comments'] == "1" ? " checked" : "";
  $video_allow_ratings = $data['video_allow_ratings'] == "1" ? " checked" : "";
  $editmode = "edit";
  show_gallery($album_id);
  show_videos_form($album_id);
  show_videos($album_id);
}
else
{
  $editmode = "add";
  show_form();
  show_galleries();
}

// End Own implementation

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>
